summaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authorMartin Roth <martinroth@google.com>2015-10-13 13:40:59 -0600
committerPatrick Georgi <pgeorgi@google.com>2015-10-17 06:16:05 +0000
commite4fc407e3f6f3975e6abe2a7b4b9f907bcba2af5 (patch)
treeeadc4a8abb6e87613e19a734d4ca9f926447f28e /util
parent5266fe4d97225aab77145c95147e876402dd6479 (diff)
downloadcoreboot-e4fc407e3f6f3975e6abe2a7b4b9f907bcba2af5.tar.gz
coreboot-e4fc407e3f6f3975e6abe2a7b4b9f907bcba2af5.tar.bz2
coreboot-e4fc407e3f6f3975e6abe2a7b4b9f907bcba2af5.zip
lint: Move the lint script out of Makefile.inc
In preparation for adding junit xml to the lint tests, move the script out of Makefile.inc and into its own file. Add a copyright, usage, and error checking that was not needed inside the Makefile. Change-Id: I32bebc6a5f1f6fa652812c8a014d84006e2e6c8a Signed-off-by: Martin Roth <martinroth@google.com> Reviewed-on: http://review.coreboot.org/11890 Tested-by: build bot (Jenkins) Reviewed-by: Patrick Georgi <pgeorgi@google.com>
Diffstat (limited to 'util')
-rwxr-xr-xutil/lint/lint50
1 files changed, 50 insertions, 0 deletions
diff --git a/util/lint/lint b/util/lint/lint
new file mode 100755
index 000000000000..ab930398bc7b
--- /dev/null
+++ b/util/lint/lint
@@ -0,0 +1,50 @@
+#!/bin/sh
+#
+# This file is part of the coreboot project.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc.
+#
+#set -x # uncomment for debug
+
+usage () {
+ printf "Usage: %s <lint|lint-stable>\n" "$0"
+}
+
+if [ -z "$1" ] || [ "$1" != "lint" ] && [ "$1" != "lint-stable" ]; then
+ usage
+ exit 1
+fi
+
+LINTLOG=`mktemp .tmpconfig.lintXXXXX`;
+FAILED=0;
+
+for script in util/lint/${1}-*; do
+ echo
+ echo "$(basename $script)"
+ grep "^# DESCR:" $script | sed "s,.*DESCR: *,,"
+ echo "========"
+ $script > $LINTLOG
+ if [ `cat $LINTLOG | wc -l` -eq 0 ]; then
+ echo "success"
+ else
+ echo "test failed:"
+ cat $LINTLOG
+ rm -f $LINTLOG
+ FAILED=$(( $FAILED + 1 ))
+ fi
+ echo "========"
+done
+
+test $FAILED -eq 0 || { echo "ERROR: $FAILED test(s) failed."; rm -f $LINTLOG && exit 1; };
+rm -f $LINTLOG